Core - Task # 47756

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Code Cleanup
Created: 2013-04-30 Assigned To: Christian Kuhn
Updated: 2014-02-09 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove require / require_once fallback layers for namespaced classes
Description

This umbrella issue should be set as parent / umbrella issue for all issues related to the removal of 'dummy’ require_once files that are
removed with 6.2

Subtasks:

Bug # 47754: Cleanup dummy files from t3lib Resolved
Bug # 47761: Remove deprecated classes from t3lib Resolved
Bug # 47763: Remove dummy files from ext:adodb Resolved
Bug # 47769: Remove typo3/classes/ Resolved
Bug # 47791: Fix mentions of old class names Resolved
Bug # 47792: Remove dummy files from ext:cms Resolved
Bug # 47793: Remove dummy files from various extensions Resolved
Bug # 47795: Remove dummy files from ext:rsaauth Resolved
Bug # 47797: Remove dummy files in typo3/classes/ Resolved
Bug # 47798: Remove dummy files in typo3/interfaces/ Resolved
Bug # 47799: Remove dummy files from ext:rtehtmlarea Resolved
Bug # 47800: Remove dummy files from ext:saltedpasswords Resolved
Bug # 47801: Remove dummy files from ext:scheduler Resolved
Bug # 47802: Remove dummy files in EXT:form Resolved
Bug # 47830: Remove dummy files from ext:extbase Resolved
Bug # 47833: Remove dummy files from ext:linkvalidator Resolved
Bug # 47838: Remove dummy files from ext:dbal Resolved
Bug # 47841: Remove dummy files from ext:version Resolved
Bug # 47843: Remove dummy files from ext:workspaces Resolved
Bug # 47848: Remove dummy files from ext:install Resolved
Bug # 47852: Remove dummy files from ext:indexed_search Resolved
Bug # 48155: Remove dummy files from ext:wizard_crpages and wizard_sortpages Resolved
Bug # 48157: Remove dummy files from ext:tstemplate_* extensions Resolved
Bug # 49989: Cleanup ext:func Resolved
Task # 49992: Cleanup ext:info and ext:info_pagetsconfig Resolved
Task # 51593: Cleanup ext:sv Resolved
Task # 51599: Remove old class files in ext:extensionmanager Resolved
Task # 51594: Remove old class files in ext:taskcenter Resolved
Task # 51595: Remove old class files in ext:sys_action Resolved
Task # 51597: Remove old class files in ext:perm Resolved
Task # 51596: Remove old class files in ext:rsaauth Resolved
Task # 55792: Remove dummy files from ext:t3editor Resolved
Task # 55804: Remove old class files from ext:recycler Resolved
Task # 55808: Remove old class files from ext:openid Resolved

Related issues:
related to Core - Task # 55446: Obsolete code in saltedpasswords

Resolved

2014-01-29

Associated revisions

Revision 797a8e51 - 2013-05-01 18:06 - Christian Kuhn

[TASK] Remove dummy require files from ext:adodb

Change-Id: la1d98cfbd904934c651946ad30ab6dcbal367dc3f
Resolves: #47763

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/20367

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e112df3a - 2013-05-01 19:46 - Christian Kuhn

[TASK] Remove dummy files from ext:cms

This catches most old empty class files from ext:cms. The rest
needs to be taken care of in single patches.

The patch also changes all old mentions of the old class names,
mostly comments are affected.

Change-Id: 12b8ebfad178001c7bc8def967c01a56ae113c029
Resolves: #47792

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20381

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b2fd7¢28 - 2013-05-01 20:02 - Christian Kuhn

[TASK] Remove dummy files from ext:rsaauth

Change-Id: 12b063ebeb88f1d059900c1eb75{8c22308753b3
Resolves: #47795

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20386

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 8ff9ca25 - 2013-05-01 21:19 - Christian Kuhn

[TASK] Remove dummy files from various extensions

Affected extensions: extra_page_cm_options, feedit, func_wizards,

impexp, lang, lowlevel, reports

Change-Id: 15f2a232d0fc27b66c3c1efbd6258a1055366ed14
Resolves: #47793

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/20383

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 875¢c65b1 - 2013-05-01 21:55 - Christian Kuhn

[TASK] Remove dummy files from ext:rtehtmlarea

Change-Id: Idb2fe1df112c3794e6852f270f742cfe51b2c480
Resolves: #47799

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20390

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 0e7a8dd0 - 2013-05-01 21:59 - Wouter Wolters

[TASK] Remove dummy files in typo3/interfaces/

Change-Id: 187fb4e00b5810d98ac2bc70aa90830e66deb8a88
Resolves: #47798

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/20389

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Revision b166e9bc - 2013-05-01 22:11 - Wouter Wolters

[TASK] Remove dummy files in typo3/classes/

Change-Id: 18ee215e43b60dae0da04087d510771479aaaaa04
Resolves: #47797

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20388

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b01e3997 - 2013-05-01 23:49 - Christian Kuhn

[TASK] Remove dummy files from ext:saltedpasswords

Change-Id: 141a31d60e2038f0677548e01cec93942818b06ed
Resolves: #47800

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/20394

Reviewed-by: Alexander Opitz
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Felix Kopp
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6f1fc228 - 2013-05-01 23:49 - Christian Kuhn

[TASK] Remove dummy files from ext:scheduler

Change-Id: Ic6a76ca3a2c78041a3357a5f0ec8ae5dceccad7b
Resolves: #47801

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/20396

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Felix Kopp
Tested-by: Felix Kopp
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5f370695 - 2013-05-01 23:55 - Wouter Wolters

[TASK] Remove dummy files in EXT:form

Change-Id: 180169971a48e43f1aa82d01dfb7a328807a7430
Resolves: #47802
Related: #47756
Releases: 6.2
Reviewed-on: https://review.typo3.0rg/20397

Reviewed-by: Felix Kopp
Tested-by: Felix Kopp
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 12cae401 - 2013-05-02 15:27 - Christian Kuhn

[TASK] Remove dummy files from ext:linkvalidator

Change-Id: Idecc7408ddd0a799c0e239f2585ee993b7293fc6
Resolves: #47833

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20417

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 376a40a3 - 2013-05-02 15:27 - Christian Kuhn

[TASK] Remove dummy files from ext:linkvalidator

Change-Id: Idecc7408ddd0a799c0e239f2585ee993b7293fc6
Resolves: #47833

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20417

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2ee60b7f - 2013-05-02 15:38 - Christian Kuhn

[TASK] Remove dummy files from ext:extbase

Change-Id: 12627bcbbbc98caec6e63fd2fcea52a380c3c21a0
Resolves: #47830

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20416

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision cc1ae875 - 2013-05-02 17:14 - Christian Kuhn

[TASK] Remove dummy files from ext:dbal
Change-Id: 162715d95f7453aa0e86dddc299aba4dc9cbe19d1
Resolves: #47838

Related: #47756

Related: #47836

Releases: 6.2

Reviewed-on: https://review.typo3.org/20423

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 4b26443a - 2013-05-02 18:05 - Christian Kuhn

[TASK] Remove dummy files from ext:version

Change-Id: 11f7b91c5734d63ebb66436790ef7d3ceabd038c7
Resolves: #47841

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20430

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 71b366b1 - 2013-05-02 18:54 - Christian Kuhn

[TASK] Remove dummy files from ext:workspaces

Change-Id: 1631889db332b001da62d23d29401891746b223e2
Resolves: #47843

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.0rg/20434

Reviewed-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision a35b7653 - 2013-05-04 10:11 - Christian Kuhn

[TASK] Remove dummy files from ext:install

The install tool is always bootstrap'ed by typo3/install/index.php,

we can rely on the class loader to find files, so the removed
require_once calls are ok.
The eidHandler for the random key calculation runs through FE

bootstrap, so this is also ok to not require manually.

Change-Id: 145ed37a19039418b1edc440b735809182833ce2d
Resolves: #47848

Related: #47756

Releeases: 6.2

Reviewed-on: https://review.typo3.0rg/20441

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 772d7379 - 2013-05-27 23:35 - Wouter Wolters

[TASK] Remove dummy files from ext:tstemplate_* extensions

- Remove dummy files from ext:tstemplate_* extensions

- Remove old class names to the new ones

- Adjust function names for the backend module
Adjust AJAX save type

Change-Id: 1560c1c0e7bceb271eabalald660cec71614df64a
Resolves: #48157

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20766

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 43b657d2 - 2013-06-22 14:27 - Christian Kuhn

[TASK] Remove dummy files from ext:wizard_crpages and wizard_sortpages

- Remove dummy files

- Rename old class names to the new ones

Change-Id: 177ea8d6a48d10bc56031231a00999655cbecb487
Resolves: #48155

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/20765

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 6e6096e1 - 2013-07-05 16:53 - Christian Kuhn
[TASK] Remove dummy files from ext:indexed_search
- The pit script still lives as dummy file since the addPItoST43
registration fails otherwise.
- modfunc1 and modfunc?2 class files still live as dummy files as

the sub-sub module handling in core fails otherwise.

Change-Id: 121b92a07e7ff83cd1dd3f12b0e15bef7f84691e9
Resolves: #47852

Related: #47756

Releases: 6.2

Reviewed-on: https:/review.typo3.org/20442

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 682d1a04 - 2014-02-08 19:27 - Christian Kuhn

[TASK] Remove old class files from ext:t3editor

Change-Id: Id7cd8fdaecf663462b8d02a4bf2ca272293cea4f
Resolves: #55792

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/27460

Reviewed-by: Marcin Sagol
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 5b802d68 - 2014-02-09 13:27 - Christian Kuhn

[TASK] Remove old class files from ext:recycler

Change-Id: 15d2233c5eb0860740e1858bf2f96a919fee26e5e
Resolves: #55804

Related: #47756

Releases: 6.2

Reviewed-on: https://review.typo3.org/27505

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Klee
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision c5741aa9 - 2014-02-09 14:47 - Christian Kuhn

[TASK] Remove old class files from ext:openid

Removes old class files from ext:openid except the two

current entry points for _eid and _return.

Change-Id: Ibdeca07881aad92af28c9f0e81c42a4ee1b600c2
Resolves: #55808

Related: #47756

Releases: 6.2
Reviewed-on: https://review.typo3.org/27507

Reviewed-by: Oliver Klee
Reviewed-by: Marcin Sagol
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2013-04-30 19:12 - Christian Kuhn
- Estimated time set to 0.00

#2 - 2013-08-28 02:46 - Ernesto Baschny

- Estimated time set to 0.00

@Christian, so this is "done", | guess?

#3 - 2013-08-28 02:47 - Ernesto Baschny

- Status changed from New to Needs Feedback

- Assigned To set to Christian Kuhn

#4 - 2013-08-31 11:45 - Christian Kuhn

- Status changed from Needs Feedback to Resolved

- Estimated time set to 0.00

#5 - 2014-02-09 15:30 - Christian Kuhn
- Estimated time deleted (0.00)
